﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             xmlns:d="http://xamarin.com/schemas/2014/forms/design"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:local="clr-namespace:ElbaTestWork.Converters"
             mc:Ignorable="d"
             x:Class="ElbaTestWork.Views.ItemDetailPage"
             Title="{Binding Title}">
    <ContentPage.Resources>
        <ResourceDictionary>
            <local:EducationPeriodToStringConverter x:Key="Converter" />
        </ResourceDictionary>
    </ContentPage.Resources>
    
    <StackLayout Spacing="10" Padding="15">
        <Label Text="{Binding Item.Name}" Style="{DynamicResource DetailHeadTextStyle}"/>
        <Label Text="{Binding Item.Phone}" Style="{DynamicResource PhoneTextStyle}">
            <Label.GestureRecognizers>
                <TapGestureRecognizer NumberOfTapsRequired="1" Tapped="OnPhoneTapped"></TapGestureRecognizer>
            </Label.GestureRecognizers>
        </Label>
        <Label Text="{Binding Item.Temperament}" Style="{DynamicResource DescriptionTextColor}"/>
        <Label Text="{Binding Item.EducationPeriod, Converter={StaticResource Converter}}"  Style="{DynamicResource DescriptionTextColor}" />
        <Label Text="{Binding Item.Biography}" Style="{DynamicResource TextStyle}" />
    </StackLayout>
    
</ContentPage>